apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: unbound-site-ingress
  annotations:
    kubernetes.io/ingress.class: "alb"
    alb.ingress.kubernetes.io/group.name: default
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/target-type: instance
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTP": 80},{"HTTPS": 443}]'
    alb.ingress.kubernetes.io/ssl-redirect: "443"
spec:
  rules:
    - host: "unbound.se"
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: unbound-site
                port:
                  number: 80
    - host: "www.unbound.se"
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: unbound-site
                port:
                  number: 80
